# This application is released under the GNU General Public License 
# v3 (or, at your option, any later version). You can find the full 
# text of the license under http://www.gnu.org/licenses/gpl.txt. 
# By using, editing and/or distributing this software you agree to 
# the terms and conditions of this license. 
# Thank you for using free software!

# Abraca API (Extended XMMS2API) (c) BruceLee 2011 <eu.gabii@yahoo.com>


import os
import dbus
import string
import gobject
from XMMS2 import XMMS2API

class AbracaAPI(XMMS2API):
	__name__ = 'Abraca API'
	__version__ = '0.3.4.1'
	__author__ = 'BruceLee'
	__desc__ = 'API for Abraca XMMS2 GUI'

	def is_active(self, dbus_iface, screenlet_settings):
		if self.bin_runs("xmms2d") and self.bin_runs("abraca"): return True
		return False
		
